# This package contains macros that provide functionality relating to
# Software Collections. These macros are not used in default
# Fedora builds, and should not be blindly copied or enabled.
# Specifically, the "scl" macro must not be defined in official Fedora
# builds. For more information, see:
# http://docs.fedoraproject.org/en-US/Fedora_Contributor_Documentation
# /1/html/Software_Collections_Guide/index.html

%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name domain_name

%if "%{?scl}" == "ruby193"
    %global scl_prefix %{scl}-
    %global scl_ruby /usr/bin/ruby193-ruby
    %global scl_rake /usr/bin/ruby193-rake
    ### TODO temp disabled for SCL
    %global nodoc 1
%else
    %global scl_ruby /usr/bin/ruby
    %global scl_rake /usr/bin/rake
%endif

Summary:    This is a Domain Name manipulation library for Ruby.
Name:       %{?scl_prefix}rubygem-%{gem_name}
Version:    0.5.20160615
Release:    2%{?dist}
Group:      Applications/System
License:    GPL 2.0
URL:        https://github.com/knu/ruby-domain_nameize
Source0:    http://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Requires: %{?scl_ruby}
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(unf)
BuildRequires: %{?scl_ruby}
BuildRequires: %{?scl_prefix}rubygems
BuildRequires: %{?scl_prefix}rubygems-devel

%description
%{name} is a Domain Name manipulation library for Ruby.

%package doc
Summary:    Documentation for rubygem-%{gem_name}
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}

%description doc
This is a Domain Name manipulation library for Ruby.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0} --no-rdoc --no-ri
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{foreman_bundlerd_dir}

%files
%dir %{gem_instdir}
%{gem_instdir}/data
%{gem_instdir}/domain_name.gemspec
%{gem_instdir}/Gemfile
%{gem_instdir}/test
%{gem_instdir}/tool
%{gem_instdir}/Rakefile
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.document
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml

%files doc
%{gem_instdir}/LICENSE.txt
%{gem_instdir}/README.md
%changelog
* Mon Aug 15 2016 Rich Megginson <rmeggins@redhat.com> 0.5.20160615-2
- added dependency on unf

* Thu Aug 11 2016 Rich Megginson <rmeggins@redhat.com> 0.5.20160615-1
- updated to version 0.5.20160615

* Wed Apr 22 2015 Jason Montleon <jmontleo@redhat.com> 0.5.24-1
- new package built with tito

